
GammaLib - Action #784

Feature # 754 (Closed): Allow fitting of elliptical morphology shapes 

Improve GCTAResponse integration methods for elliptical sources.

02/23/2013 05:13 AM - Knödlseder Jürgen

Status: Closed Start date: 02/16/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The actual irf_elliptical() and npred_elliptical() methods intergate over a circle rather than integrating over an ellipse. This leads to

convergence problems in the integrations which considerably slow down the computations, and make things inaccurate.

The integration methods have to be improved so that the integration is effectively done over the elliptical shape.

History

#1 - 02/23/2013 05:15 AM - Knödlseder Jürgen

- Description updated

#2 - 05/15/2013 09:27 AM - Knödlseder Jürgen

- Target version changed from HESS sprint #1 to 00-08-00

#3 - 12/10/2013 12:19 AM - Knödlseder Jürgen

- Target version deleted (00-08-00)

#4 - 07/11/2014 04:12 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#5 - 10/30/2014 12:03 PM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

- Remaining (hours) set to 0.0

This has been done.
